# Criar Sessão de Pagamento

## Criar sessão Yuno

> Cria uma sessão na Yuno utilizada no fluxo de pagamento.

```json
{"openapi":"3.0.0","info":{"title":"Barte Providers Yuno API v2","version":"2.0.0"},"tags":[{"name":"Providers - Yuno","description":"Endpoints de integração com Yuno"}],"servers":[{"url":"https://api.barte.com","description":"Servidor de Produção"},{"url":"https://sandbox-api.barte.com","description":"Servidor de Sandbox"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Token-Api","description":"Token de autenticação para acesso à API"}},"schemas":{"YunoSessionCreateRequest":{"type":"object","required":["country","amount","uuidBuyer","merchantOrderId","paymentDescription"],"properties":{"country":{"type":"string"},"amount":{"$ref":"#/components/schemas/YunoSessionAmount"},"uuidBuyer":{"type":"string","description":"UUID do comprador"},"merchantOrderId":{"type":"string"},"paymentDescription":{"type":"string"}}},"YunoSessionAmount":{"type":"object","properties":{"currency":{"type":"string"},"value":{"type":"integer"}}},"YunoSessionCreateResponse":{"type":"object","properties":{"checkoutSession":{"type":"string"},"country":{"type":"string"},"paymentDescription":{"type":"string"},"customerId":{"type":"string"},"amount":{"$ref":"#/components/schemas/YunoSessionAmount"},"createdAt":{"type":"string","format":"date-time"},"workflow":{"type":"string"},"installments":{"type":"object","additionalProperties":true}}},"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}}}}}}}},"paths":{"/v2/providers/yuno/session":{"post":{"summary":"Criar sessão Yuno","description":"Cria uma sessão na Yuno utilizada no fluxo de pagamento.","tags":["Providers - Yuno"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/YunoSessionCreateRequest"}}}},"responses":{"200":{"description":"Sessão criada com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YunoSessionCreateResponse"}}}},"400":{"description":"Requisição inválida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Erro interno do servidor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.barte.com/api-reference/wallet-google-pay-e-apple-pay/criar-sessao-de-pagamento.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
